Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
tree: f2afe67252
Fetching contributors…

Cannot retrieve contributors at this time

371 lines (296 sloc) 8.847 kb
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<groupId>org.springframework.data</groupId>
<artifactId>spring-data-multistore-test</artifactId>
<version>1.0.0.BUILD-SNAPSHOT</version>
<name>Spring Data Multi-Store test</name>
<description>
Sample project that tests and shows dependency setup when different Spring Data
modules are used together.
</description>
<properties>
<spring.version>3.1.2.RELEASE</spring.version>
<slf4j.version>1.6.6</slf4j.version>
<neo4j.version>1.7</neo4j.version>
</properties>
<profiles>
<!-- Use snapshot versions of Spring Data modules -->
<profile>
<id>snapshots</id>
<activation>
<activeByDefault>true</activeByDefault>
</activation>
<properties>
<sd.jpa.version>1.2.0.BUILD-SNAPSHOT</sd.jpa.version>
<sd.mongodb.version>1.1.0.BUILD-SNAPSHOT</sd.mongodb.version>
<sd.neo4j.version>2.1.0.BUILD-SNAPSHOT</sd.neo4j.version>
</properties>
<repositories>
<repository>
<id>spring-libs-snapshot</id>
<url>http://repo.springsource.org/libs-snapshot</url>
</repository>
<repository>
<id>neo4j-public-release-repository</id>
<url>http://m2.neo4j.org/releases</url>
</repository>
</repositories>
</profile>
<profile>
<id>bugfix-snapshots</id>
<properties>
<sd.jpa.version>1.1.3.BUILD-SNAPSHOT</sd.jpa.version>
<sd.mongodb.version>1.0.5.BUILD-SNAPSHOT</sd.mongodb.version>
<sd.neo4j.version>2.0.2.BUILD-SNAPSHOT</sd.neo4j.version>
</properties>
<repositories>
<repository>
<id>spring-libs-snapshot</id>
<url>http://repo.springsource.org/libs-snapshot</url>
</repository>
</repositories>
</profile>
<!-- Use milestone versions of Spring Data modules -->
<profile>
<id>milestones</id>
<properties>
<sd.jpa.version>1.2.0.RC1</sd.jpa.version>
<sd.mongodb.version>1.1.0.RC1</sd.mongodb.version>
<sd.neo4j.version>2.1.0.RC3</sd.neo4j.version>
</properties>
<repositories>
<repository>
<id>spring-libs-milestone</id>
<url>http://repo.springsource.org/libs-milestone</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
</profile>
<!-- Use release versions of Spring Data modules -->
<profile>
<id>releases</id>
<properties>
<sd.jpa.version>1.1.2.RELEASE</sd.jpa.version>
<sd.mongodb.version>1.0.4.RELEASE</sd.mongodb.version>
<sd.neo4j.version>2.0.1.RELEASE</sd.neo4j.version>
<sd.commons.version>1.3.2.RELEASE</sd.commons.version>
</properties>
<!-- Force latest SD Commons -->
<dependencies>
<dependency>
<groupId>org.springframework.data</groupId>
<artifactId>spring-data-commons-core</artifactId>
<version>${sd.commons.version}</version>
</dependency>
</dependencies>
<repositories>
<repository>
<id>spring-libs-release</id>
<url>http://repo.springsource.org/libs-release</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
</profile>
<profile>
<id>latest-releases</id>
<properties>
<sd.jpa.version>1.2.0.RC1</sd.jpa.version>
<sd.mongodb.version>1.1.0.RC1</sd.mongodb.version>
<sd.neo4j.version>2.1.0.RC3</sd.neo4j.version>
<sd.commons.version>1.4.0.RC1</sd.commons.version>
</properties>
<dependencies>
<dependency>
<groupId>org.springframework.data</groupId>
<artifactId>spring-data-commons-core</artifactId>
<version>${sd.commons.version}</version>
</dependency>
</dependencies>
<repositories>
<repository>
<id>spring-libs-milestone</id>
<url>http://repo.springsource.org/libs-milestone</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
<repository>
<id>spring-libs-release</id>
<url>http://repo.springsource.org/libs-release</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
</profile>
<!-- Use latest Spring 3.1 version, requires fix-spring -->
<profile>
<id>3.1</id>
<properties>
<spring.version>3.1.2.RELEASE</spring.version>
</properties>
</profile>
<!-- Use latest Spring 3.0 version, requires fix-spring -->
<profile>
<id>3.0</id>
<properties>
<spring.version>3.0.7.RELEASE</spring.version>
</properties>
</profile>
<profile>
<id>3.2</id>
<properties>
<spring.version>3.2.0.M1</spring.version>
</properties>
</profile>
<profile>
<id>spring-snapshots</id>
<properties>
<spring.version>3.2.0.BUILD-SNAPSHOT</spring.version>
</properties>
</profile>
<!-- Explicitly state Spring dependencies in case we don't want to resolve
them transitively -->
<profile>
<id>fix-spring</id>
<dependencies>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-aspects</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-beans</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-context</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-core</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-expression</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-orm</artifactId>
<version>${spring.version}</version>
</dependency>
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-tx</artifactId>
<version>${spring.version}</version>
</dependency>
</dependencies>
</profile>
</profiles>
<dependencies>
<!-- Test (general) -->
<dependency>
<groupId>org.springframework</groupId>
<artifactId>spring-test</artifactId>
<version>${spring.version}</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>junit</groupId>
<artifactId>junit-dep</artifactId>
<version>4.10</version>
<scope>test</scope>
</dependency>
<!-- JPA -->
<dependency>
<groupId>org.springframework.data</groupId>
<artifactId>spring-data-jpa</artifactId>
<version>${sd.jpa.version}</version>
</dependency>
<dependency>
<groupId>org.hibernate.javax.persistence</groupId>
<artifactId>hibernate-jpa-2.0-api</artifactId>
<version>1.0.1.Final</version>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-entitymanager</artifactId>
<version>4.1.0.Final</version>
<scope>runtime</scope>
</dependency>
<dependency>
<groupId>org.hsqldb</groupId>
<artifactId>hsqldb</artifactId>
<version>2.2.8</version>
<scope>test</scope>
</dependency>
<!-- MongoDB -->
<dependency>
<groupId>org.springframework.data</groupId>
<artifactId>spring-data-mongodb</artifactId>
<version>${sd.mongodb.version}</version>
</dependency>
<!-- Neo4J -->
<dependency>
<groupId>org.springframework.data</groupId>
<artifactId>spring-data-neo4j</artifactId>
<version>${sd.neo4j.version}</version>
</dependency>
<dependency>
<groupId>org.neo4j</groupId>
<artifactId>neo4j-cypher</artifactId>
<version>${neo4j.version}</version>
</dependency>
<dependency>
<groupId>org.hibernate</groupId>
<artifactId>hibernate-validator</artifactId>
<version>4.1.0.Final</version>
<scope>test</scope>
</dependency>
<!-- Logging -->
<dependency>
<groupId>log4j</groupId>
<artifactId>log4j</artifactId>
<version>1.2.16</version>
<scope>runtime</scope>
</dependency>
<dependency>
<groupId>org.slf4j</groupId>
<artifactId>slf4j-log4j12</artifactId>
<version>${slf4j.version}</version>
<scope>runtime</scope>
</dependency>
</dependencies>
<build>
<plugins>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-compiler-plugin</artifactId>
<version>2.3.2</version>
<configuration>
<source>1.6</source>
<target>1.6</target>
</configuration>
</plugin>
</plugins>
</build>
<repositories>
<repository>
<id>neo4j-public-release-repository</id>
<url>http://m2.neo4j.org/releases</url>
<snapshots>
<enabled>false</enabled>
</snapshots>
</repository>
</repositories>
</project>
Jump to Line
Something went wrong with that request. Please try again.